> For the complete documentation index, see [llms.txt](https://docs.sign.enadocapp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sign.enadocapp.com/evia-sign-api/v1/request-types/fixed-positioning.md).

# Fixed Positioning

## Implementation Overview

Evia Sign's Fixed Positioning API introduces a seamless and secure approach to automated annotation placement, focusing on precise positioning of signatures within documents. This API supports a structured JSON payload, empowering users to define key elements for creating signature requests with fixed positioning.

This API endpoint enables the creation of a new signature request with fixed positioning:

<mark style="color:green;">`POST`</mark> `https://evia.enadocapp.com/_apis/sign/api/Requests?type=2`

#### Headers

| Name          | Type   | Description                                   |
| ------------- | ------ | --------------------------------------------- |
| Authorization | Bearer | Access token should be sent as request header |

{% tabs %}
{% tab title="200: OK " %}
Upon successful creation, a status code of 200 is returned, confirming the successful initiation of the sign request.
{% endtab %}
{% endtabs %}

**Request Body for Fixed Positioning**

```json
{
  "Message": "",
  "Title": "Vendor agreement - Silverline Traders.pdf",
  "SignInOrder": false,
  "Documents": [
    "{{documentId}}"
  ],
  "Signatories": [
    {
      "Color": "#7c95f4",
      "Email": "johndoe@email.com",
      "Name": "Test User 1",
      "Order": 1,
      "PrivateMessage": "",
      "SignatoryType": 1,
      "OTP": {
        "IsRequired": false,
        "AccessCode": "",
        "Type": "0",
        "MobileNumber": ""
      },
      "Stamps": [
        {
          "Color": "#7c95f4",
          "DocumentToken": "{{documentId}}",
          "Order": 1,
          "Location": {
            "X": 397.9166666666667,
            "Y": 249.79166666666669
          },
          "StampSize": {
            "Height": 35,
            "Width": 75
          },
          "PageNumber": 1,
          "PageHeight": 1122,
          "PageWidth": 793,
          "Type": "signature"
        }
      ]
    },
    {
      "Color": "#c0a5cf",
      "Email": "Peterdoe@email.com",
      "Name": "Test User 2",
      "Order": 1,
      "PrivateMessage": "",
      "SignatoryType": 1,
      "OTP": {
        "IsRequired": false,
        "AccessCode": "",
        "Type": "0",
        "MobileNumber": ""
      },
      "Stamps": [
        {
          "Color": "#c0a5cf",
          "DocumentToken": "{{documentId}}",
          "Order": 1,
          "Location": {
            "X": 407.2916666666667,
            "Y": 338.33333333333337
          },
          "StampSize": {
            "Height": 35,
            "Width": 75
          },
          "PageNumber": 1,
          "PageHeight": 1122,
          "PageWidth": 793,
          "Type": "signature"
        }
      ]
    },
    {
      "Color": "#f7b994",
      "Email": "John@email.com",
      "Name": "test user 3",
      "Order": 2,
      "PrivateMessage": "",
      "SignatoryType": 1,
      "OTP": {
        "IsRequired": false,
        "AccessCode": "",
        "Type": "0",
        "MobileNumber": ""
      },
      "Stamps": [
        {
          "Color": "#f7b994",
          "DocumentToken": "{{documentId}}",
          "Order": 1,
          "Location": {
            "X": 397.9166666666667,
            "Y": 462.2916666666667
          },
          "StampSize": {
            "Height": 35,
            "Width": 75
          },
          "PageNumber": 1,
          "PageHeight": 1122,
          "PageWidth": 793,
          "Type": "signature"
        }
      ]
    },
    {
      "Color": "#97c9bf",
      "Email": "tom@email.com",
      "Name": "Test User 4",
      "Order": 3,
      "PrivateMessage": "",
      "SignatoryType": 1,
      "OTP": {
        "IsRequired": false,
        "AccessCode": "",
        "Type": "0",
        "MobileNumber": ""
      },
      "Stamps": [
        {
          "Color": "#97c9bf",
          "DocumentToken": "{{documentId}}",
          "Order": 1,
          "Location": {
            "X": 402.08333333333337,
            "Y": 551.875
          },
          "StampSize": {
            "Height": 35,
            "Width": 75
          },
          "PageNumber": 1,
          "PageHeight": 1122,
          "PageWidth": 793,
          "Type": "signature"
        }
      ]
    },
    {
      "Color": "#ffb3c6",
      "Email": "jonny@email.com",
      "Name": "Test User 5",
      "Order": 3,
      "PrivateMessage": "",
      "SignatoryType": 1,
      "OTP": {
        "IsRequired": false,
        "AccessCode": "",
        "Type": "0",
        "MobileNumber": ""
      },
      "Stamps": [
        {
          "Color": "#ffb3c6",
          "DocumentToken": "{{documentId}}",
          "Order": 1,
          "Location": {
            "X": 408.33333333333337,
            "Y": 653.9583333333334
          },
          "StampSize": {
            "Height": 35,
            "Width": 75
          },
          "PageNumber": 1,
          "PageHeight": 1122,
          "PageWidth": 793,
          "Type": "signature"
        }
      ]
    }
  ],
  "AuditDetails": {
    "AuthorType": 1,
    "AuthorIPAddress": "124.43.19.95",
    "Device": "Device Type: desktop - OS: Windows - Browser: Chrome (v129.0)"
  },
  "Connections": []
}
```

**Signing Order**: Signing requests can be sent either in parallel, where all signatories receive the request simultaneously, or sequentially, where each signatory receives the request one after another.

**Signatory Types**: Signatories can be categorized as either *Signing*, *Approval*, or *CC*. At least one *Signing* signatory is required for each request, and signature fields are mandatory for signing. Additional options include the ability to add initials, name, signed date, email, and text.

**Security Features**: For added security, there is an option to include an OTP (One-Time Password) via email, SMS, or both, and to set an access code.

**Audit Trail**: Once the document is completed, an audit trail document is generated for each request. It includes the details of the sender and the signatories, such as IP addresses and devices used.

**Signer Types**: Signers can either be internal or external.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sign.enadocapp.com/evia-sign-api/v1/request-types/fixed-positioning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
